#
# spec file for libinput
#
Name:        libinput
Version:     1.14.1
Release:     2
Summary:     Input device management and event handling library
License:     MIT
URL:         https://www.freedesktop.org/wiki/Software/libinput/
Source0:     https://www.freedesktop.org/software/libinput/libinput-%{version}.tar.xz

BuildRequires: git-core gcc gcc-c++  python3-devel meson  pkgconfig(libudev) pkgconfig(mtdev) pkgconfig(libevdev)  pkgconfig(libwacom)

%description
libinput is a library to handle input devices in Wayland compositors and to provide 
a generic X.Org input driver.It provides device detection, device handling, input 
device event processing and abstraction so minimize the amount of custom input code
compositors need to provide the common set of functionality that users expect.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
%description    devel
The %{name}-devel package provide libraries and header files for
developing applications that use %{name}.

%package        utils
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       python3-evdev python3-pyudev
%description    utils
The %{name}-utils package provide tools for debuging.

%package        help
Summary:        document files for %{name}
Requires:       %{name} = %{version}-%{release}
%description    help
The %{name}-doc package contains document files.

%global udevdir   /usr/lib/udev/

%prep
%autosetup -n %{name}-%{version} -Sgit
pathfix.py -i %{__python3} -p -n $(git grep -l  '#!/usr/bin/.*python3')

%build
%meson -Ddebug-gui=false    -Ddocumentation=false     -Dtests=false     -Dudev-dir=%{udevdir}
%meson_build

%install
%meson_install

%check

%preun

%post  -p /sbin/ldconfig

%postun  -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING
%{_libdir}/libinput.so.*
%{udevdir}/libinput-device-group
%{udevdir}/libinput-fuzz-override
%{udevdir}/rules.d/80-libinput-device-groups.rules
%{udevdir}/rules.d/90-libinput-fuzz-override.rules
%{_bindir}/libinput
%dir %{_libexecdir}/libinput/
%{_libexecdir}/libinput/libinput-debug-events
%{_libexecdir}/libinput/libinput-list-devices
%{_datadir}/libinput/*.quirks
/usr/share/zsh/site-functions/_libinput

%files devel
%{_includedir}/libinput.h
%{_libdir}/libinput.so
%{_libdir}/pkgconfig/libinput.pc

%files  utils
%{_libexecdir}/libinput/*
%exclude %{_libexecdir}/libinput/libinput-{debug-events,list-devices}

%files help
%{_mandir}/man1/*

%changelog
* Thu Aug 29 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.14.1-2
- Package init
